<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::speakerManager::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html">speakerManager</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::speakerManager::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_observer.html">MockObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8db88c979ad1db9f67328d6d29bc269d"><td class="memItemLeft" align="right" valign="top">static std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a8db88c979ad1db9f67328d6d29bc269d">TIMEOUT</a> (1000)</td></tr>
<tr class="memdesc:a8db88c979ad1db9f67328d6d29bc269d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout when waiting for futures to be set.  <a href="#a8db88c979ad1db9f67328d6d29bc269d">More...</a><br /></td></tr>
<tr class="separator:a8db88c979ad1db9f67328d6d29bc269d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9d4ae230966455831579ade4b3a931"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a5b9d4ae230966455831579ade4b3a931">MESSAGE_ID</a> (&quot;messageId&quot;)</td></tr>
<tr class="memdesc:a5b9d4ae230966455831579ade4b3a931"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>MessageId</code> identifer.  <a href="#a5b9d4ae230966455831579ade4b3a931">More...</a><br /></td></tr>
<tr class="separator:a5b9d4ae230966455831579ade4b3a931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a608f87f9208cc60d94a7b7575c804bec"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a608f87f9208cc60d94a7b7575c804bec">generateVolumeStateJson</a> (<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerInterface::SpeakerSettings</a> settings)</td></tr>
<tr class="memdesc:a608f87f9208cc60d94a7b7575c804bec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper function to generate the VolumeState in JSON for the ContextManager.  <a href="#a608f87f9208cc60d94a7b7575c804bec">More...</a><br /></td></tr>
<tr class="separator:a608f87f9208cc60d94a7b7575c804bec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9e8ace6f104691ed25f2a6a110caf1c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#aa9e8ace6f104691ed25f2a6a110caf1c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_nullContextManager)</td></tr>
<tr class="separator:aa9e8ace6f104691ed25f2a6a110caf1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3fb29cb766f91b3a46519a4d349a65d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#ae3fb29cb766f91b3a46519a4d349a65d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_nullMessageSender)</td></tr>
<tr class="separator:ae3fb29cb766f91b3a46519a4d349a65d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce3863d0e5c133c27213ce38b5a6e16"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a8ce3863d0e5c133c27213ce38b5a6e16">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_nullExceptionSender)</td></tr>
<tr class="separator:a8ce3863d0e5c133c27213ce38b5a6e16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6f20b8806b3cfdcedbdb9084a22e09a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#ae6f20b8806b3cfdcedbdb9084a22e09a">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_noSpeakers)</td></tr>
<tr class="separator:ae6f20b8806b3cfdcedbdb9084a22e09a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e18b4b3eff268e73a022afd029785b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a3e18b4b3eff268e73a022afd029785b9">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_contextManagerSetStateConstructor)</td></tr>
<tr class="separator:a3e18b4b3eff268e73a022afd029785b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63ff67f5a59e4659c817f7a6ee464a6a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a63ff67f5a59e4659c817f7a6ee464a6a">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setVolumeUnderBounds)</td></tr>
<tr class="separator:a63ff67f5a59e4659c817f7a6ee464a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac00dac3b9ff2749a10e4e7b37a0fab4c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#ac00dac3b9ff2749a10e4e7b37a0fab4c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setVolumeOverBounds)</td></tr>
<tr class="separator:ac00dac3b9ff2749a10e4e7b37a0fab4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494f0b622676a3e27cdb9264d428c458"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a494f0b622676a3e27cdb9264d428c458">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_adjustVolumeUnderBounds)</td></tr>
<tr class="separator:a494f0b622676a3e27cdb9264d428c458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83567961a9197728606fe8d5792998dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a83567961a9197728606fe8d5792998dc">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_adjustVolumeOverBounds)</td></tr>
<tr class="separator:a83567961a9197728606fe8d5792998dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4c92e8dfe743af2938b621403ea5b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#aab4c92e8dfe743af2938b621403ea5b6">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setVolumeOutOfSync)</td></tr>
<tr class="separator:aab4c92e8dfe743af2938b621403ea5b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae6edbe9062f267c7cb8a6db28ae1448"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#aae6edbe9062f267c7cb8a6db28ae1448">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_adjustVolumeOutOfSync)</td></tr>
<tr class="separator:aae6edbe9062f267c7cb8a6db28ae1448"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb220e403afd447a7fdb658459cb78fd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#acb220e403afd447a7fdb658459cb78fd">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setMuteOutOfSync)</td></tr>
<tr class="separator:acb220e403afd447a7fdb658459cb78fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8a1f032f65e1e085fa16ce2ea72701b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#ad8a1f032f65e1e085fa16ce2ea72701b">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_getSpeakerSettingsSpeakersOutOfSync)</td></tr>
<tr class="separator:ad8a1f032f65e1e085fa16ce2ea72701b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27d4ab0948b1dec772985b47a3cec7dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a27d4ab0948b1dec772985b47a3cec7dd">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_getConfiguration)</td></tr>
<tr class="separator:a27d4ab0948b1dec772985b47a3cec7dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e2928f778b6a040c31786efb30ff826"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a8e2928f778b6a040c31786efb30ff826">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_addNullObserver)</td></tr>
<tr class="separator:a8e2928f778b6a040c31786efb30ff826"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2bb38f9f0594ec2fabaf7b8a16a1147"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#ae2bb38f9f0594ec2fabaf7b8a16a1147">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_removeSpeakerManagerObserver)</td></tr>
<tr class="separator:ae2bb38f9f0594ec2fabaf7b8a16a1147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2549cc9b241e6f879af83ad941f1f08a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a2549cc9b241e6f879af83ad941f1f08a">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_removeNullObserver)</td></tr>
<tr class="separator:a2549cc9b241e6f879af83ad941f1f08a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61ec1907e5540f5db26709362201b109"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a61ec1907e5540f5db26709362201b109">INSTANTIATE_TEST_CASE_P</a> (Parameterized, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, ::testing::Values(std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_SPEAKER_VOLUME }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_ALERTS_VOLUME }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_SPEAKER_VOLUME, SpeakerInterface::Type::AVS_SPEAKER_VOLUME }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_ALERTS_VOLUME, SpeakerInterface::Type::AVS_ALERTS_VOLUME, }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_SPEAKER_VOLUME, SpeakerInterface::Type::AVS_ALERTS_VOLUME, SpeakerInterface::Type::AVS_SPEAKER_VOLUME, SpeakerInterface::Type::AVS_ALERTS_VOLUME }))</td></tr>
<tr class="separator:a61ec1907e5540f5db26709362201b109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c7804af34a6d75f7bf85d23bef6b178"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a5c7804af34a6d75f7bf85d23bef6b178">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setVolume)</td></tr>
<tr class="separator:a5c7804af34a6d75f7bf85d23bef6b178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aaa7d3822cdee541433ad0848cdb7be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a2aaa7d3822cdee541433ad0848cdb7be">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_adjustVolume)</td></tr>
<tr class="separator:a2aaa7d3822cdee541433ad0848cdb7be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70ae4c8e1abca2ccc58a5f47c949d005"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a70ae4c8e1abca2ccc58a5f47c949d005">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setMute)</td></tr>
<tr class="separator:a70ae4c8e1abca2ccc58a5f47c949d005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29caf540705ff6ad216938cf65f0bbe2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a29caf540705ff6ad216938cf65f0bbe2">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_getSpeakerSettings)</td></tr>
<tr class="separator:a29caf540705ff6ad216938cf65f0bbe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a787d5ba358ad1066e1e431c55e44ea4b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a787d5ba358ad1066e1e431c55e44ea4b">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setVolumeDirective)</td></tr>
<tr class="separator:a787d5ba358ad1066e1e431c55e44ea4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade33502cfebab0c19d5e0fab6e20946c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#ade33502cfebab0c19d5e0fab6e20946c">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_adjustVolumeDirective)</td></tr>
<tr class="separator:ade33502cfebab0c19d5e0fab6e20946c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639d5bae5ae0bd0e113085200efc3911"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a639d5bae5ae0bd0e113085200efc3911">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setMuteDirective)</td></tr>
<tr class="separator:a639d5bae5ae0bd0e113085200efc3911"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44cb5cc55bcbf019f992a9a570f9a2a2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a44cb5cc55bcbf019f992a9a570f9a2a2">TEST_P</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>, test_setVolumeDirectiveWhenMuted)</td></tr>
<tr class="separator:a44cb5cc55bcbf019f992a9a570f9a2a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a33e9e9d20ac10ddb62468e684aeadff7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a33e9e9d20ac10ddb62468e684aeadff7">VOLUME_PAYLOAD</a></td></tr>
<tr class="memdesc:a33e9e9d20ac10ddb62468e684aeadff7"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <code>SetVolume/AdjustVolume</code> payload.  <a href="#a33e9e9d20ac10ddb62468e684aeadff7">More...</a><br /></td></tr>
<tr class="separator:a33e9e9d20ac10ddb62468e684aeadff7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dfd603a89ca50d3a789e3ddd34bd6d7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a1dfd603a89ca50d3a789e3ddd34bd6d7">MUTE_PAYLOAD</a></td></tr>
<tr class="memdesc:a1dfd603a89ca50d3a789e3ddd34bd6d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <code>SetMute</code> payload.  <a href="#a1dfd603a89ca50d3a789e3ddd34bd6d7">More...</a><br /></td></tr>
<tr class="separator:a1dfd603a89ca50d3a789e3ddd34bd6d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c468b2d5da0e98b228a010624a8af44"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html#a0c468b2d5da0e98b228a010624a8af44">UNMUTE_PAYLOAD</a></td></tr>
<tr class="memdesc:a0c468b2d5da0e98b228a010624a8af44"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <code>SetMute</code> payload to unmute.  <a href="#a0c468b2d5da0e98b228a010624a8af44">More...</a><br /></td></tr>
<tr class="separator:a0c468b2d5da0e98b228a010624a8af44"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a608f87f9208cc60d94a7b7575c804bec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a608f87f9208cc60d94a7b7575c804bec">&#9670;&nbsp;</a></span>generateVolumeStateJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::speakerManager::test::generateVolumeStateJson </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerInterface::SpeakerSettings</a>&#160;</td>
          <td class="paramname"><em>settings</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Helper function to generate the VolumeState in JSON for the ContextManager. </p>

</div>
</div>
<a id="a61ec1907e5540f5db26709362201b109"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61ec1907e5540f5db26709362201b109">&#9670;&nbsp;</a></span>INSTANTIATE_TEST_CASE_P()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::INSTANTIATE_TEST_CASE_P </td>
          <td>(</td>
          <td class="paramtype">Parameterized&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::testing::Values(std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_SPEAKER_VOLUME }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_ALERTS_VOLUME }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_SPEAKER_VOLUME, SpeakerInterface::Type::AVS_SPEAKER_VOLUME }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_ALERTS_VOLUME, SpeakerInterface::Type::AVS_ALERTS_VOLUME, }, std::vector&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;{ SpeakerInterface::Type::AVS_SPEAKER_VOLUME, SpeakerInterface::Type::AVS_ALERTS_VOLUME, SpeakerInterface::Type::AVS_SPEAKER_VOLUME, SpeakerInterface::Type::AVS_ALERTS_VOLUME })&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create different combinations of <code>Type</code> for parameterized tests (TEST_P). </p>

</div>
</div>
<a id="a5b9d4ae230966455831579ade4b3a931"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9d4ae230966455831579ade4b3a931">&#9670;&nbsp;</a></span>MESSAGE_ID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speakerManager::test::MESSAGE_ID </td>
          <td>(</td>
          <td class="paramtype">&quot;messageId&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>MessageId</code> identifer. </p>

</div>
</div>
<a id="aa9e8ace6f104691ed25f2a6a110caf1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9e8ace6f104691ed25f2a6a110caf1c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_nullContextManager&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests creating the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> with a null <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html">contextManager</a>. </p>

</div>
</div>
<a id="ae3fb29cb766f91b3a46519a4d349a65d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3fb29cb766f91b3a46519a4d349a65d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_nullMessageSender&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests creating the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> with a null messageSender. </p>

</div>
</div>
<a id="a8ce3863d0e5c133c27213ce38b5a6e16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ce3863d0e5c133c27213ce38b5a6e16">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_nullExceptionSender&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests creating the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> with a null exceptionSender. </p>

</div>
</div>
<a id="ae6f20b8806b3cfdcedbdb9084a22e09a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6f20b8806b3cfdcedbdb9084a22e09a">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_noSpeakers&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests creating the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> with no speakers. </p>

</div>
</div>
<a id="a3e18b4b3eff268e73a022afd029785b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e18b4b3eff268e73a022afd029785b9">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_contextManagerSetStateConstructor&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests that the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> initially provides the state at constructor time. </p>

</div>
</div>
<a id="a63ff67f5a59e4659c817f7a6ee464a6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63ff67f5a59e4659c817f7a6ee464a6a">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setVolumeUnderBounds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac00dac3b9ff2749a10e4e7b37a0fab4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac00dac3b9ff2749a10e4e7b37a0fab4c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setVolumeOverBounds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a494f0b622676a3e27cdb9264d428c458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a494f0b622676a3e27cdb9264d428c458">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_adjustVolumeUnderBounds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a83567961a9197728606fe8d5792998dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83567961a9197728606fe8d5792998dc">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_adjustVolumeOverBounds&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab4c92e8dfe743af2938b621403ea5b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab4c92e8dfe743af2938b621403ea5b6">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[10/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setVolumeOutOfSync&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae6edbe9062f267c7cb8a6db28ae1448"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae6edbe9062f267c7cb8a6db28ae1448">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[11/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_adjustVolumeOutOfSync&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb220e403afd447a7fdb658459cb78fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb220e403afd447a7fdb658459cb78fd">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[12/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setMuteOutOfSync&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8a1f032f65e1e085fa16ce2ea72701b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8a1f032f65e1e085fa16ce2ea72701b">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[13/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getSpeakerSettingsSpeakersOutOfSync&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test getSpeakerSettings when speakers are out of sync. The operation should fail. </p>

</div>
</div>
<a id="a27d4ab0948b1dec772985b47a3cec7dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27d4ab0948b1dec772985b47a3cec7dd">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[14/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getConfiguration&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test getConfiguration and ensure that all directives are handled. </p>

</div>
</div>
<a id="a8e2928f778b6a040c31786efb30ff826"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e2928f778b6a040c31786efb30ff826">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[15/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_addNullObserver&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test that adding a null observer does not cause any errors in the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a>. </p>

</div>
</div>
<a id="ae2bb38f9f0594ec2fabaf7b8a16a1147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2bb38f9f0594ec2fabaf7b8a16a1147">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[16/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_removeSpeakerManagerObserver&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test that removing an observer works correctly. </p>

</div>
</div>
<a id="a2549cc9b241e6f879af83ad941f1f08a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2549cc9b241e6f879af83ad941f1f08a">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[17/17]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_removeNullObserver&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test that removing a null observer does not cause any errors in the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a>. </p>

</div>
</div>
<a id="a5c7804af34a6d75f7bf85d23bef6b178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c7804af34a6d75f7bf85d23bef6b178">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[1/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setVolume&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Parameterized test for setVolume. One event should be sent if an AVS_SPEAKER_VOLUME typed speaker is modified. </p>

</div>
</div>
<a id="a2aaa7d3822cdee541433ad0848cdb7be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aaa7d3822cdee541433ad0848cdb7be">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[2/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_adjustVolume&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Parameterized test for adjustVolume. One event should be sent if an AVS_SPEAKER_VOLUME typed speaker is modified. </p>

</div>
</div>
<a id="a70ae4c8e1abca2ccc58a5f47c949d005"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70ae4c8e1abca2ccc58a5f47c949d005">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[3/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setMute&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Parameterized test for setMute. One event should be sent if an AVS_SPEAKER_VOLUME typed speaker is modified. </p>

</div>
</div>
<a id="a29caf540705ff6ad216938cf65f0bbe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29caf540705ff6ad216938cf65f0bbe2">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[4/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getSpeakerSettings&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Parameterized test for getSpeakerSettings. Operation should succeed with default speaker settings. </p>

</div>
</div>
<a id="a787d5ba358ad1066e1e431c55e44ea4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a787d5ba358ad1066e1e431c55e44ea4b">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[5/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setVolumeDirective&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests SetVolume Directive. Expect that the volume is unmuted and set, as well at most one event is sent. In the event there are no AVS_SPEAKER_VOLUME speakers registered, no event will be sent. In addition, only AVS_SPEAKER_VOLUME speakers should be affected. </p>

</div>
</div>
<a id="ade33502cfebab0c19d5e0fab6e20946c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade33502cfebab0c19d5e0fab6e20946c">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[6/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_adjustVolumeDirective&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests AdjustVolume Directive. Expect that the volume is unmuted and adjusted, as well at most one event is sent. In the event there are no AVS_SPEAKER_VOLUME speakers registered, no event will be sent. In addition, only AVS_SPEAKER_VOLUME speakers should be affected. </p>

</div>
</div>
<a id="a639d5bae5ae0bd0e113085200efc3911"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a639d5bae5ae0bd0e113085200efc3911">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[7/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setMuteDirective&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests SetMute Directive. Expect that the volume is muted, as well at most one event is sent. In the event there are no AVS_SPEAKER_VOLUME speakers registered, no event will be sent. In addition, only AVS_SPEAKER_VOLUME speakers should be affected. </p>

</div>
</div>
<a id="a44cb5cc55bcbf019f992a9a570f9a2a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44cb5cc55bcbf019f992a9a570f9a2a2">&#9670;&nbsp;</a></span>TEST_P() <span class="overload">[8/8]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::TEST_P </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setVolumeDirectiveWhenMuted&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test setVolume when unmute Directive sent. Setup test by setting volume to 0 and mute to true. Expect that the volume is unmuted and set to MIN_UNMUTE_VOLUME, as well at most one event is sent. In the event there are no AVS_SPEAKER_VOLUME speakers registered, no event will be sent. In addition, only AVS_SPEAKER_VOLUME speakers should be affected. </p>

</div>
</div>
<a id="a8db88c979ad1db9f67328d6d29bc269d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8db88c979ad1db9f67328d6d29bc269d">&#9670;&nbsp;</a></span>TIMEOUT()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::chrono::milliseconds alexaClientSDK::capabilityAgents::speakerManager::test::TIMEOUT </td>
          <td>(</td>
          <td class="paramtype">1000&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Timeout when waiting for futures to be set. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a1dfd603a89ca50d3a789e3ddd34bd6d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dfd603a89ca50d3a789e3ddd34bd6d7">&#9670;&nbsp;</a></span>MUTE_PAYLOAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::test::MUTE_PAYLOAD</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;mute\&quot;:&quot;</span> +</div><div class="line">    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test.html#ae77e44b42a34a6d0ba732eeb3faff6cf">MUTE_STRING</a> +</div><div class="line">    <span class="stringliteral">&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_html_ae77e44b42a34a6d0ba732eeb3faff6cf"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test.html#ae77e44b42a34a6d0ba732eeb3faff6cf">alexaClientSDK::avsCommon::sdkInterfaces::test::MUTE_STRING</a></div><div class="ttdeci">static const std::string MUTE_STRING(&quot;true&quot;)</div><div class="ttdoc">String value for mute. </div></div>
</div><!-- fragment -->
<p>A <code>SetMute</code> payload. </p>

</div>
</div>
<a id="a0c468b2d5da0e98b228a010624a8af44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c468b2d5da0e98b228a010624a8af44">&#9670;&nbsp;</a></span>UNMUTE_PAYLOAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::test::UNMUTE_PAYLOAD</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;mute\&quot;:&quot;</span> +</div><div class="line">    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test.html#a8dc692042ad6d93e631222fda588d898">UNMUTE_STRING</a> +</div><div class="line">    <span class="stringliteral">&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_html_a8dc692042ad6d93e631222fda588d898"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test.html#a8dc692042ad6d93e631222fda588d898">alexaClientSDK::avsCommon::sdkInterfaces::test::UNMUTE_STRING</a></div><div class="ttdeci">static const std::string UNMUTE_STRING(&quot;false&quot;)</div><div class="ttdoc">String value for unmute. </div></div>
</div><!-- fragment -->
<p>A <code>SetMute</code> payload to unmute. </p>

</div>
</div>
<a id="a33e9e9d20ac10ddb62468e684aeadff7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33e9e9d20ac10ddb62468e684aeadff7">&#9670;&nbsp;</a></span>VOLUME_PAYLOAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speakerManager::test::VOLUME_PAYLOAD</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;volume\&quot;:&quot;</span> +</div><div class="line">    std::to_string(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">AVS_SET_VOLUME_MAX</a>) +</div><div class="line">    <span class="stringliteral">&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants_html_a6405122107afaf3adb0373ad9ce736ab"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_SET_VOLUME_MAX</a></div><div class="ttdeci">const int8_t AVS_SET_VOLUME_MAX</div><div class="ttdoc">AVS setVolume Maximum. </div><div class="ttdef"><b>Definition:</b> SpeakerConstants.h:33</div></div>
</div><!-- fragment -->
<p>A <code>SetVolume/AdjustVolume</code> payload. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
